<?
$attestat = 1; //1 - аттестат продавца 0 - формальный аттестат
function dat($den){if($den==1){$rez = "день";}elseif($den>1 and $den<5){$rez = "дня";}else{$rez = "дней";}return $rez;}
function ned($den){if($den==1){$rez = "неделя";}elseif($den>1 and $den<5){$rez = "недели";}else{$rez = "недель";}return $rez;}
?>
<div class="menucenter">

<div align="center">
<div align="left" style="width:400px;">
<?if($_GET["paket"]==""){?>
<div align="center" style="padding:10px;"><b style="color:#357D2B;font-size:14px;border-bottom:1px solid #888888;">Выберите рекламный пакет:</b></div>
<?$ipak=1;
$paket=mysql_query("SELECT * FROM tb_paket ORDER BY id ASC");$still++;
if(mysql_num_rows($paket) > 0){
while ($vpak=mysql_fetch_assoc($paket))
  {?>
<div align="left" style="border:1px solid #cccccc;border-radius: 7px;padding:4px;color:#28259A;font-size:13px;background: #E1E1E1;">
<b>Рекламный пакет №<?=$ipak++;?>:</b></div>
<div align="left" style="border:1px solid #cccccc;border-radius: 7px;border-top:0;padding:10px;font-size:12px;">
<table style="width:100%;">
<tr>
<td style="padding:2px;" align="left"><b>Динамическая ссылка:</b></td>
<td style="padding:2px;" align="left"><?=$vpak["dinam"];?> показов</td>
</tr><tr>
<td style="padding:2px;" align="left"><b>Раздел:</b></td>
<td style="padding:2px;" align="left"><?if($vpak["r_dinam"]==1){echo "VIP";}else{echo "Обычный";}?> раздел</td>
</tr><tr>
<td style="padding:2px;" align="left"><b>Время просмотра:</b></td>
<td style="padding:2px;" align="left"><?=$vpak["t_dinam"];?> секунд</td>
</tr><tr>
<td style="padding:2px;" align="left"><b>Статическая ссылка:</b></td>
<td style="padding:2px;" align="left"><?=$vpak["statlink"];?> <?=dat($vpak["statlink"]);?></td>
</tr><tr>
<td style="padding:2px;" align="left"><b>Текстовое обьявление:</b></td>
<td style="padding:2px;" align="left"><?=$vpak["textob"];?> <?=dat($vpak["textob"]);?></td>
</tr><tr>
<td style="padding:2px;" align="left"><b>Псевдо-динамическа ссылка:</b></td>
<td style="padding:2px;" align="left"><?=$vpak["psevdo"];?> <?=dat($vpak["psevdo"]);?></td>
</tr><tr>
<td style="padding:2px;" align="left"><b>Баннер 468х60:</b></td>
<td style="padding:2px;" align="left"><?=$vpak["banner468"];?> <?=dat($vpak["banner468"]);?></td>
</tr><tr>
<td style="padding:2px;" align="left"><b>Реклама во фрейме:</b></td>
<td style="padding:2px;" align="left"><?=$vpak["frame"];?> <?=dat($vpak["frame"]);?></td>
</tr><tr>
<td style="padding:2px;" align="left"><b>Цена пакета:</b></td>
<td style="padding:2px;" align="left"><b style="color:#ff0000;"><?=$vpak["money"];?></b> <?=$vn;?>.</td>
</tr><tr>
<td style="padding-top:2px;" align="center" colspan="2">
<form method="post" action="advertise.php?adv=paket&amp;paket=<?=$vpak["id"]?>">
<input type="submit" class="ok_wm" value="Заказать пакет">
</form>
</td></tr></table>
</div>
<br><br>
<?}}else{?>
<div align="center"><b style="color:#ff0000;">Нет доступных пакетов</b></div>
<?}
}else{
$p_k = intval($_GET["paket"]);
$paket=mysql_query("SELECT * FROM tb_paket WHERE id='$p_k' ORDER BY id ASC");$still++;
if(mysql_num_rows($paket) > 0){
$vpak=mysql_fetch_assoc($paket);
function formzac($desc,$plan,$inp_s,$inp_t,$max,$p_a,$p_ur,$p_tx,$op_b = "Описание",$r_d = "",$t_d = ""){
echo "<div align=\"left\" style=\"border:1px solid #cccccc;border-radius: 7px;padding:10px;\">
<b style=\"color:#28259A;font-size:11px;\">".$desc.": ( <font color=\"#dd0000\">".$plan."</font> ".$p_a." ".$r_d." ".$t_d.")</b>
<div align=\"left\" style=\"padding:3px;padding-top:10px;\">
<b>URL сайта:</b><br>
<input style=\"width:370px;\" maxlength=\"160\" name=\"".$inp_s."\" type=\"text\" value=\"".$p_ur."\">
</div>
<div align=\"left\" style=\"padding:3px;\">
<b>".$op_b.":</b><br>
<input style=\"width:370px;\" maxlength=\"".$max."\" name=\"".$inp_t."\" type=\"text\" value=\"".$p_tx."\">
</div>
</div><br>
";
}
if($_POST["status"]=="zak"){
function obrab($input){
  $input = strip_tags($input);
  $input = htmlspecialchars($input, ENT_QUOTES, 'WINDOWS-1251');
  $input=str_replace ("%3C","&lt;", $input);
  $input=str_replace ("%3E","&gt;", $input);
  $input=str_replace ("%27","&quot;", $input);
  $input=str_replace ("%22","&quot;", $input);
  $input=str_replace ("--","", $input);
  $input=str_replace ("#","", $input);
  $input=str_replace ("UNION","", $input);
  return $input;
}

 $z_wmid = obrab($_POST["z_wmid"]);
 $d_url = obrab($_POST["d_url"]);
 $d_text = obrab($_POST["d_text"]);
 $s_url = obrab($_POST["s_url"]);
 $s_text = obrab($_POST["s_text"]);
 $t_url = obrab($_POST["t_url"]);
 $t_text = obrab($_POST["t_text"]);
 $p_url = obrab($_POST["p_url"]);
 $p_text = obrab($_POST["p_text"]);
 $f_url = obrab($_POST["f_url"]);
 $f_text = obrab($_POST["f_text"]);
 $b_url = obrab($_POST["b_url"]);
 $b_pic = obrab($_POST["b_pic"]);

 if($_SESSION["z_code"]!=$_POST["z_code"] or $_SESSION["z_code"]=="" or $_POST["z_code"]==""){
   $ad_error = "<div class=error>Не верный ввод данных</div>";
 }else{
   unset($_SESSION["z_code"]);
   if($z_wmid==NULL or $d_url==NULL or $d_text==NULL or $s_url==NULL or $s_text==NULL or $t_url==NULL or $t_text==NULL or $p_url==NULL or $p_text==NULL or $f_url==NULL or $f_text==NULL or $b_url==NULL or $b_pic==NULL){
     $ad_error = "<div class=error>Заполнены не все поля</div>";
   }else{
     if(strlen($z_wmid) != 12){
       $ad_error = "<div class=error>Номер WMID должен быть из 12 символов</div>";
     }else{
       if(strlen($d_url) > 160 or strlen($s_url) > 160 or strlen($t_url) > 160 or strlen($p_url) > 160 or strlen($f_url) > 160 or strlen($b_url) > 160){
         $ad_error = "<div class=error>URL сайта не должен превышать 160 символов</div>";
       }else{
         if(strlen($d_text) > 80 or strlen($s_text) > 80 or strlen($t_text) > 160 or strlen($p_text) > 80 or strlen($f_text) > 80){
           $ad_error = "<div class=error>Один из текстов превышает число символов</div>";
         }else{
           $img = getimagesize (preg_replace("/\s/","",$b_pic));
           if($img[0]!=468 and $img[1]!=60){
           	 $ad_error = "<div class=error>Картинка баннера не соответствует нужному размеру 468х60</div>";
           }else{
           	 $p_k = intval($_GET["paket"]);
           	 $paket=mysql_query("SELECT * FROM tb_paket WHERE id='$p_k' ORDER BY id ASC");$still++;
             $vpak=mysql_fetch_assoc($paket);

             $money=$vpak["money"];
             $money = round($money,2);

             $dinam = $d_url.'*_*_*'.$d_text;
             $banner = $b_url.'*_*_*'.$b_pic;
             $psevdo = $p_url.'*_*_*'.$p_text;
             $frame = $f_url.'*_*_*'.$f_text;
             $statlink = $s_url.'*_*_*'.$s_text;
             $textob = $t_url.'*_*_*'.$t_text;

             if($paket){

             $sql = "INSERT INTO tb_paket_adv (`schet`, `dinam`, `banner468`, `psevdo`, `frame`, `statlink`, `textob`, `paket`)
	         VALUES('$z_wmid','$dinam', '$banner', '$psevdo', '$frame', '$statlink', '$textob', '$p_k')";
	         mysql_query($sql);$still++;
             $z_id = mysql_insert_id();
             }

             $z_ok = 1;
           }
         }
       }
     }
   }
 }
}
if($z_ok==""){?>
<div align="center" style="padding:10px;"><b style="color:#357D2B;font-size:14px;border-bottom:1px solid #888888;">Заполните данные:</b></div>
<div align="center" style="padding:5px;"><b style="color:#EE0D1E;font-size:12px;"><?=$ad_error;?></b></div>
<form method="post" action="">

<div align="center" style="padding:3px;">
<b>Ваш WMID:</b><br>
<input style="width:370px;" maxlength="12" name="z_wmid" type="text" value="<?=$z_wmid?>">
</div><br>
<?
if($vpak["r_dinam"]==1){$r_d = "<b style=\"color:#ff0000;\">VIP</b>";}else{$r_d = "<b style=\"color:#ff0000;\">Обычный</b>";}
$t_d = "<b style=\"color:#ff0000;\">".$vpak["t_dinam"]."</b> сек.";
formzac("Динамическая ссылка",$vpak["dinam"],"d_url","d_text",80,"показов",$_POST["d_url"],$_POST["d_text"],"Описание",$r_d,$t_d);
formzac("Статическая ссылка",$vpak["statlink"],"s_url","s_text",80,dat($vpak["statlink"]),$_POST["s_url"],$_POST["s_text"]);
formzac("Текстовое обьявление",$vpak["textob"],"t_url","t_text",160,dat($vpak["textob"]),$_POST["t_url"],$_POST["t_text"]);
formzac("Псевдо-динамическа ссылка",$vpak["psevdo"],"p_url","p_text",80,ned($vpak["psevdo"]),$_POST["p_url"],$_POST["p_text"]);
formzac("Реклама во фрейме",$vpak["frame"],"f_url","f_text",80,dat($vpak["frame"]),$_POST["f_url"],$_POST["f_text"]);
formzac("Баннер 468х60",$vpak["banner468"],"b_url","b_pic",160,dat($vpak["banner468"]),$_POST["b_url"],$_POST["b_pic"],"URL баннера");
?>

<div align="center"><input type="submit" class="ok_wm" value="Перейти к оплате">
<?$z_code = md5(rand(10000,100000));
$_SESSION["z_code"] = $z_code;?>
<input name="z_code" type="hidden" value="<?=$z_code;?>">
<input name="status" type="hidden" value="zak"></div>
</form>
<?}else{
function formprov($desc,$inp_s,$inp_t,$op_b = "Описание"){
echo "<tr>
<td style=\"width:100%;padding-top:10px;color:#AE0000;\" align=\"left\" colspan=\"2\"><b>".$desc.":</b></td>
</tr><tr>
<td style=\"padding:2px;width:25%;padding-top:3px;\" align=\"left\"><b>URL сайта:</b></td>
<td style=\"padding:2px;width:75%;padding-top:10px;\" align=\"left\"><a href=\"".$inp_s."\">".$inp_s."</a></td>
</tr><tr>
<td style=\"padding:2px;width:25%;padding-bottom:10px;\" align=\"left\"><b>".$op_b.":</b></td>
<td style=\"padding:2px;width:75%;padding-bottom:10px;\" align=\"left\">".$inp_t."</td>
</tr>
";
}
	?>
</div>
<div align="center" style="padding:10px;"><b style="color:#357D2B;font-size:14px;border-bottom:1px solid #888888;">Проверьте введенные данные:</b></div>
<div align="left" style="width:500px;border:1px solid #cccccc;padding:10px;">
<b style="color:#28259A;font-size:13px;">Проверьте введенные данные и произведите оплату:</b><br>
<table style="width:100%;">
<?
formprov("Динамическая ссылка",$d_url,$d_text);
formprov("Статическая ссылка",$s_url,$s_text);
formprov("Текстовое объявление",$t_url,$t_text);
formprov("Псевдо-динамическа ссылка",$p_url,$p_text);
formprov("Реклама во фрейме",$f_url,$f_text);
formprov("Баннер 468х60",$b_url,$b_pic,"URL баннера");?>
<tr>
<td style="padding-top:2px;width:100%;" align="center" colspan="2">
<?if($attestat==0){?>
<a style="border:1px solid #808080;padding:3px;" href='wmk:payto?Purse=<?=$p?>&Amount=<?=round($vpak["money"],2)?>&Desc=Оплата рекламного пакета. <?=$z_wmid?>
&BringToFront=Y'>Оплатить <?=round($vpak["money"],2)?> <?=$vn?></a>
<?}else{?>
<form method="POST" action="https://merchant.webmoney.ru/lmi/payment.asp">
<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="<?=round($vpak["money"],2)?>">
<input type="hidden" name="LMI_PAYMENT_DESC" value="Оплата рекламного пакета. <?=$z_wmid?>">
<input type="hidden" name="LMI_PAYEE_PURSE" value="<?=$p?>">
<input type="hidden" name="service" value="paket_adv">
<input type="hidden" name="id" value="<?=$z_id?>">
<input type="submit" class="okey" value="Оплатить <?=round($vpak["money"],2)?> <?=$vn?>">
</form>
<?}?>
</td></tr></table>
</div>
</div>
<?}?>
<?}else{?>
<div align="center"><b style="color:#ff0000;">Такого пакета не существует</b></div>
<?}
}?>
</div></div>